Bug 1299901 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000060
Summary: [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000060
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7a2b9ea6b2b64ede39df6ad51d6...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-19 14:06 UTC by Bryce
Modified: 2016-12-20 18:00 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 18:00:17 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (84.47 KB, text/plain)
2016-01-19 14:07 UTC, Bryce
no flags Details

Description Bryce 2016-01-19 14:06:56 UTC
Description of problem:
updated from f22 to f23. seems to have enabled graphical boot where it wasn't previously enabled
This is a XEON supermicro motherboard with IPMI and uses
	0b:04.0 VGA compatible controller: 
		Matrox Electronics Systems Ltd. MGA G200eW WPCM450 (rev 0a)
as the video which this trace seems to be related

	Linux ZenV 4.3.3-300.fc23.x86_64 #1 SMP Tue Jan 5 23:31:01 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

	[root@ZenV ~]# lsmod | grep mga
	mgag200                45056  1
	i2c_algo_bit           16384  1 mgag200
	drm_kms_helper        122880  1 mgag200
	ttm                    90112  1 mgag200
	drm                   335872  4 ttm,drm_kms_helper,mgag200

The system will come up fine if I remove "rhgb quiet" from the command line in grub

Additional info:
reporter:       libreport-2.6.3
BUG: unable to handle kernel NULL pointer dereference at 0000000000000060
IP: [<ffffffff8178129c>] _raw_spin_lock+0xc/0x30
PGD 0 
Oops: 0002 [#1] SMP 
Modules linked in: raid456 async_raid6_recov async_memcpy async_pq async_xor xor async_tx x86_pkg_temp_thermal coretemp ipmi_devintf kvm_intel kvm raid6_pq iTCO_wdt crct10dif_pclmul crc32_pclmul iTCO_vendor_support crc32c_intel sb_edac mei_me joydev edac_core mei i2c_i801 lpc_ich ioatdma ipmi_si dca shpchp tpm_tis tpm wmi ipmi_msghandler nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc mgag200 i2c_algo_bit drm_kms_helper ttm drm isci serio_raw e1000e libsas ptp scsi_transport_sas pps_core fjes
CPU: 1 PID: 424 Comm: plymouthd Not tainted 4.3.3-300.fc23.x86_64 #1
Hardware name: Supermicro X9SRL-F/X9SRL-F, BIOS 3.0a 12/05/2013
task: ffff88103360bc00 ti: ffff881032770000 task.ti: ffff881032770000
RIP: 0010:[<ffffffff8178129c>]  [<ffffffff8178129c>] _raw_spin_lock+0xc/0x30
RSP: 0018:ffff881032773938  EFLAGS: 00010246
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000001
RDX: 0000000000000001 RSI: 0000000000000000 RDI: 0000000000000060
RBP: ffff881032773958 R08: 0000000000000000 R09: ffff8810342af5c0
R10: ffff8810342af5c0 R11: 0000000000000000 R12: 0000000000000000
R13: ffff8810326b5028 R14: ffff8810326b4000 R15: 0000000000000001
FS:  00007f3c2519b700(0000) GS:ffff88103f240000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000060 CR3: 0000001032f8c000 CR4: 00000000001406e0
Stack:
 ffffffffa01226bf 0000000000000141 ffff881032713c00 0000000000000000
 ffff881032773a48 ffffffffa003060c ffff88103360bc00 0000000000000000
 ffffffff820029c0 ffff881032f18a80 ffff881032773ab8 ffff881032713c00
Call Trace:
 [<ffffffffa01226bf>] ? drm_gem_object_lookup+0x1f/0xa0 [drm]
 [<ffffffffa003060c>] mga_crtc_cursor_set+0xdc/0xab0 [mgag200]
 [<ffffffff813bab95>] ? find_next_bit+0x15/0x20
 [<ffffffff813a5ff1>] ? cpumask_next_and+0x31/0x50
 [<ffffffff8177f169>] ? __ww_mutex_lock+0x19/0xa0
 [<ffffffffa013cfc1>] ? drm_modeset_lock+0x81/0xd0 [drm]
 [<ffffffffa01b68b6>] restore_fbdev_mode+0xf6/0x110 [drm_kms_helper]
 [<ffffffffa01b8735>] drm_fb_helper_restore_fbdev_mode_unlocked+0x25/0x70 [drm_kms_helper]
 [<ffffffffa01b87ad>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffff8141d0d6>] fb_set_var+0x236/0x460
 [<ffffffff81238a56>] ? do_sys_poll+0x146/0x560
 [<ffffffff812039ff>] ? __slab_free+0xaf/0x220
 [<ffffffff8141327f>] fbcon_blank+0x30f/0x350
 [<ffffffff81497dd3>] do_unblank_screen+0xd3/0x1a0
 [<ffffffff8148d51a>] vt_ioctl+0x50a/0x12e0
 [<ffffffff81480b2a>] tty_ioctl+0x35a/0xbf0
 [<ffffffff81488006>] ? tty_ldisc_deref+0x16/0x20
 [<ffffffff81480006>] ? tty_read+0xa6/0xf0
 [<ffffffff8133572c>] ? ioctl_has_perm+0xbc/0xf0
 [<ffffffff81236bd5>] do_vfs_ioctl+0x295/0x470
 [<ffffffff813357b0>] ? selinux_file_ioctl+0x50/0xd0
 [<ffffffff813298e3>] ? security_file_ioctl+0x43/0x60
 [<ffffffff81236e29>] SyS_ioctl+0x79/0x90
 [<ffffffff81003c35>] ? syscall_return_slowpath+0x55/0x150
 [<ffffffff8178162e>] entry_SYSCALL_64_fastpath+0x12/0x71
Code: 00 00 f0 0f b1 17 85 c0 75 01 c3 55 89 c6 48 89 e5 e8 19 7e 96 ff 5d c3 0f 1f 80 00 00 00 00 0f 1f 44 00 00 31 c0 ba 01 00 00 00 <f0> 0f b1 17 85 c0 75 01 c3 55 89 c6 48 89 e5 e8 f0 7d 96 ff 5d 
RIP  [<ffffffff8178129c>] _raw_spin_lock+0xc/0x30
 RSP <ffff881032773938>

Comment 1 Bryce 2016-01-19 14:07:06 UTC
Created attachment 1116182 [details]
File: dmesg

Comment 2 Josh Boyer 2016-02-17 17:21:33 UTC
Please test this scratch build when it completes and let me know if it resolves the issue.

http://koji.fedoraproject.org/koji/taskinfo?taskID=13022511

Comment 3 Bryce 2016-02-17 18:15:11 UTC
Ok,.. lets see,..

dnf update *
Running transaction
  Installing  : kernel-core-4.3.5-301.fc23.x86_64                          1/10 
  Installing  : kernel-modules-4.3.5-301.fc23.x86_64                       2/10 
  Installing  : kernel-4.3.5-301.fc23.x86_64                               3/10 
  Installing  : kernel-modules-extra-4.3.5-301.fc23.x86_64                 4/10 
  Upgrading   : kernel-headers-4.3.5-301.fc23.x86_64                       5/10 
  Erasing     : kernel-4.3.3-303.fc23.x86_64                               6/10 
  Cleanup     : kernel-headers-4.3.5-300.fc23.x86_64                       7/10 
  Erasing     : kernel-modules-extra-4.3.3-303.fc23.x86_64                 8/10 
  Erasing     : kernel-modules-4.3.3-303.fc23.x86_64                       9/10 
  Erasing     : kernel-core-4.3.3-303.fc23.x86_64                         10/10 
...
edit the grub to reenable rhgb quiet,.. rebuild grub2 conf,.. reboot,...
yeap thats doing the right thing now.

[root@ZenV ~]# cat /proc/cmdline 
BOOT_IMAGE=/vmlinuz-4.3.5-301.fc23.x86_64 root=/dev/mapper/ZenV-root ro rd.lvm.lv=fedora/swap rd.lvm.lv=ZenV/root vconsole.font=latarcyrheb-sun16 intel_iommu=on pci_pt_e820_access=on LANG=en_GB.UTF-8 rhgb quiet

Thanks. (Do I close this or do you?)

Phil
=--=

Comment 4 Josh Boyer 2016-02-17 18:27:37 UTC
(In reply to Bryce from comment #3)
> Ok,.. lets see,..
> 
> dnf update *
> Running transaction
>   Installing  : kernel-core-4.3.5-301.fc23.x86_64                         
> 1/10 
>   Installing  : kernel-modules-4.3.5-301.fc23.x86_64                      
> 2/10 
>   Installing  : kernel-4.3.5-301.fc23.x86_64                              
> 3/10 
>   Installing  : kernel-modules-extra-4.3.5-301.fc23.x86_64                
> 4/10 
>   Upgrading   : kernel-headers-4.3.5-301.fc23.x86_64                      
> 5/10 
>   Erasing     : kernel-4.3.3-303.fc23.x86_64                              
> 6/10 
>   Cleanup     : kernel-headers-4.3.5-300.fc23.x86_64                      
> 7/10 
>   Erasing     : kernel-modules-extra-4.3.3-303.fc23.x86_64                
> 8/10 
>   Erasing     : kernel-modules-4.3.3-303.fc23.x86_64                      
> 9/10 
>   Erasing     : kernel-core-4.3.3-303.fc23.x86_64                        
> 10/10 
> ...
> edit the grub to reenable rhgb quiet,.. rebuild grub2 conf,.. reboot,...
> yeap thats doing the right thing now.
> 
> [root@ZenV ~]# cat /proc/cmdline 
> BOOT_IMAGE=/vmlinuz-4.3.5-301.fc23.x86_64 root=/dev/mapper/ZenV-root ro
> rd.lvm.lv=fedora/swap rd.lvm.lv=ZenV/root vconsole.font=latarcyrheb-sun16
> intel_iommu=on pci_pt_e820_access=on LANG=en_GB.UTF-8 rhgb quiet
> 
> Thanks. (Do I close this or do you?)

Thanks for testing.  Our update tooling will close the bug when the fix is in the stable updates repository.

Comment 5 Fedora Update System 2016-02-23 12:19:22 UTC
kernel-4.3.6-201.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7162262b0

Comment 6 Fedora Update System 2016-02-23 13:31:47 UTC
kernel-4.4.2-300.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ec8b4ce774

Comment 7 Fedora Update System 2016-02-23 21:25:58 UTC
kernel-4.3.6-201.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e7162262b0

Comment 8 Fedora Update System 2016-02-24 17:20:22 UTC
kernel-4.4.2-301.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e12ae5359

Comment 9 Clinton Work 2016-02-25 21:24:10 UTC
I'm running into the same defect on a Dell R610 with any 4.3.x kernel.

Comment 10 Fedora Update System 2016-02-26 02:24:19 UTC
kernel-4.4.2-301.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7e12ae5359

Comment 11 Fedora Update System 2016-02-27 05:00:02 UTC
kernel-4.4.3-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5ac00e07c

Comment 12 Fedora Update System 2016-02-28 08:20:30 UTC
kernel-4.3.6-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-02-28 12:21:09 UTC
kernel-4.4.2-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-02-28 13:52:32 UTC
kernel-4.4.3-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5ac00e07c

Comment 15 Fedora Update System 2016-03-01 19:14:35 UTC
kernel-4.4.3-201.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9fbe2c258b

Comment 16 Fedora Update System 2016-03-02 03:30:20 UTC
kernel-4.4.3-201.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9fbe2c258b

Comment 17 Fedora Update System 2016-03-05 01:19:40 UTC
kernel-4.4.3-201.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora End Of Life 2016-11-24 15:03:19 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 19 Fedora End Of Life 2016-12-20 18:00:17 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.